package com.cloudcross.ssp.service;



import java.util.Date;
import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.model.Campaign;
import com.cloudcross.ssp.model.pojo.CampaignPojo;


public interface ICampaignService extends IGenericService<Campaign>{
	public List<Campaign> findByOrderId(Long orderId);
	public long findByName(String name);
	public boolean deleteByID(long id);//通过活动id来查对应的活动
	public List<Campaign> findByStatus(Map<String, Object> paramMap);
	//向t_adgroup里面插入supdated
	public boolean updateUpstatus(List<Long> idList, int status);
	//导出Excel用
	public List<Campaign> findDeliverEffectAnalysis(Map<String, Object> paramMap);
	
	public boolean updateSupdatedAll(List<Long> campaignIdList,Date date);
	
	public boolean updateStatusByAdvertiserId(List<Long> AdvertiseIdList, int status);
	
	public boolean updateStatusByOrderId(List<Long> orderIdList,int status);
	
	public boolean updateStatusAll(List<Long> campaignIdList, int status);
	//根据ID查询活动信息
	public CampaignPojo findCampaignById(Long campaignId);
}
